#include<bits/stdc++.h>
#define endl "\n"
using namespace std;
vector<long long> divSmallerThanCbrtN(long long n){
    vector<long long> v;
    for(long long i=1;i*i*i<=n;i++){
        if(n%i==0) v.push_back(i);
    }
    return v;
}
long long divsGreaterThanKAndSmallerThanSqrtN(long long n,long long k){
    long long ans=0;
    for(long long i=k;i*i<=n;i++){
        if(n%i==0) ans++;
    }
    return ans;
}
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    long long n;
    cin>>n;
    vector<long long> v=divSmallerThanCbrtN(n);
    long long ans=0;
    for(long long i=0;i<v.size();i++){
        ans+=divsGreaterThanKAndSmallerThanSqrtN(n/v[i],v[i]);
    }
    cout<<ans;
    return 0;
}

